com.google.gwt.dom.builder.shared

## Class HtmlAreaBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<AreaBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlAreaBuilder

All Implemented Interfaces:
  AreaBuilder, ElementBuilderBase<AreaBuilder>

    public class HtmlAreaBuilder
    extends HtmlElementBuilderBase<AreaBuilder>
    implements AreaBuilder

HTML-based implementation of `AreaBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`HtmlAreaBuilder(HtmlBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AreaBuilder` `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`AreaBuilder` `alt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`AreaBuilder` `coords(java.lang.String coords)` Comma-separated list of lengths, defining an active region geometry.
`AreaBuilder` `href(java.lang.String href)` The URI of the linked resource.
`AreaBuilder` `shape(java.lang.String shape)` The shape of the active area.
`AreaBuilder` `target(java.lang.String target)` Frame to render the resource in.

### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Constructor Detail

#### HtmlAreaBuilder

    HtmlAreaBuilder(HtmlBuilderImpl delegate)

### Method Detail

#### accessKey

    public AreaBuilder accessKey(java.lang.String accessKey)

Description copied from interface: `AreaBuilder`
A single character access key to give access to the form control.

Specified by:
  `accessKey` in interface `AreaBuilder`
See Also:
  W3C HTML Specification

#### alt

    public AreaBuilder alt(java.lang.String alt)

Description copied from interface: `AreaBuilder`
Alternate text for user agents not rendering the normal content of this element.

Specified by:
  `alt` in interface `AreaBuilder`
See Also:
  W3C HTML Specification

#### coords

    public AreaBuilder coords(java.lang.String coords)

Description copied from interface: `AreaBuilder`
Comma-separated list of lengths, defining an active region geometry. See also shape for the shape of the region.

Specified by:
  `coords` in interface `AreaBuilder`
See Also:
  W3C HTML Specification

#### href

    public AreaBuilder href(java.lang.String href)

Description copied from interface: `AreaBuilder`
The URI of the linked resource.

Specified by:
  `href` in interface `AreaBuilder`
See Also:
  W3C HTML Specification

#### shape

    public AreaBuilder shape(java.lang.String shape)

Description copied from interface: `AreaBuilder`
The shape of the active area. The coordinates are given by coords.

Specified by:
  `shape` in interface `AreaBuilder`
See Also:
  W3C HTML Specification

#### target

    public AreaBuilder target(java.lang.String target)

Description copied from interface: `AreaBuilder`
Frame to render the resource in.

Specified by:
  `target` in interface `AreaBuilder`
See Also:
  W3C HTML Specification